commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Siegfried Goeschl <siegfried.goes...@it20one.at>
Subject Re: Fwd: About mail and jdk 7
Date Wed, 07 Nov 2012 08:15:02 GMT
H Fabien,

commons-email is not deprecated and using GMail SMTP is known to work.

Please check your stack trace - the "sun.security.ssl" classes are used 
my mail-1.4.1.jar not it is a dependency. So if you are pulling in the 
wrong classes there must be a reason for that and this is probably 
caused by your environment. Can you try it with a different computer 
and/or JDK?

Cheers,

Siegfried Goeschl


On 06.11.12 14:27, Fabien Grenier wrote:
> Hi there,
>
> I have a problem using commons.mail with jdk 7. I try to send an email 
> by gmail smtp and I got the trace enclosed.
>
> It seems that commons.mail try to use old version of 
> sun.security.ssl.* because when I try to come to the specific line of 
> the trace with Eclipse, I got unvalid line number error.
>
> I can't find anything googling that. I can't be the only one person 
> trying to send email with jdk 7 ? Is commons.mail deprecated ?
>
> Thanks for your help !
> Fabien
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
> For additional commands, e-mail: user-help@commons.apache.org


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message